OPENSSL-RAND(1SSL)

NUME
openssl-rand - generează octeți pseudo-aleatorii

SINOPSIS
openssl rand [-help] [-out fișier] [-base64] [-hex] [-engine id] [-rand fișiere] [-writerand fișier] [-provider nume] [-provider-path ruta] [-provparam [nume:]cheie=valoaree] [-propquery propq] num[K|M|G|T]

DESCRIERE
Această comandă generează num octeți aleatorii utilizând un generator de numere pseudoaleatorii securizat criptografic (CSPRNG). Un sufix [K|M|G|T] poate fi adăugat la valoarea num pentru a indica faptul că valoarea solicitată este scalată ca multiplu de Kio/Mio/Gio/Tio. Rețineți că sufixele sunt sensibile la majuscule și că sufixele reprezintă multipli binari (K = 1024 octeți, M = 1024*1024 octeți etc.).

Șirul „max” poate fi înlocuit cu o valoare numerică în num, pentru a solicita numărul maxim de octeți pe care CSPRNG îl poate produce pe instanțiere. În prezent, acesta este limitat la 2^61 octeți, conform NIST SP 800-90C.

Octeții aleatori sunt generați utilizând funcția RAND_bytes(3), care oferă un nivel de securitate de 256 de biți, cu condiția să reușească să se însămânțeze cu succes dintr-o sursă de entropie de încredere a sistemului de operare. În caz contrar, comanda va eșua cu un cod de eroare diferit de zero. Pentru mai multe detalii, consultați RAND_bytes(3), RAND(7) și EVP_RAND(7).

OPȚIUNI

-help
    Afișează acest mesaj de utilizare.

-out fișier
    Scrieți în fișier în loc de la ieșirea standard.

-base64
    Efectuează codificarea base64 la ieșire.

-hex
    Afișează rezultatul ca un șir hexazecimal.

-engine id
    Consultați secțiunea «Opțiuni motor» din openssl(1). Această opțiune este depreciată.

-rand fișiere, -writerand fișier
    Consultați «Opțiuni de stare aleatorie» în openssl(1) pentru detalii.

-provider nume
-provider-path rută
-provparam [nume:]key=valoare
-propquery propq
    Consultați „Opțiuni furnizor” în openssl(1), provider(7) și property(7).

CONSULTAȚI ȘI
openssl(1), RAND_bytes(3), RAND(7), EVP_RAND(7)

ISTORIC
Opțiunea -engine a fost depreciată în OpenSSL 3.0.

DREPTURI DE AUTOR
Drepturi de autor 2000-2021 The OpenSSL Project Authors. Toate drepturile rezervate.

Licențiat sub Licența Apache 2.0 („License”). Nu aveți voie să utilizați acest fișier decât în conformitate cu licența. Puteți obține o copie din fișierul LICENSE din distribuția sursei sau de la <https://www.openssl.org/source/license.html>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.